///////////////////////////////////////////////////////////////////////////////////
// A5 main wdl
////////////////////////////////////////////////////////////////////////////
// Files to over-ride:
// * logodark.bmp - the engine logo, include your game title
// * horizon.pcx - A horizon map displayed over the sky and cloud maps
////////////////////////////////////////////////////////////////////////////
// The PATH keyword gives directories where game files can be found,
// relative to the level directory
path "C:\\Program Files\\GStudio\\template";	// Path to WDL templates subdirectory

////////////////////////////////////////////////////////////////////////////
// The INCLUDE keyword can be used to include further WDL files,
// like those in the TEMPLATE subdirectory, with prefabricated actions

include <movement.wdl>;
include <messages.wdl>;
include <menu.wdl>;		// must be inserted before doors and weapons
include <particle.wdl>; 	// remove when you need no particles
include <doors.wdl>;		// remove when you need no doors
include <actors.wdl>;   	// remove when you need no actors
include <weapons.wdl>;		// remove when you need no weapons
include <war.wdl>;      	// remove when you need no fighting
//include <venture.wdl>;	// include when doing an adventure
include <lflare.wdl>;  	// remove when you need no lens flares

include <spawn3d.wdl>;

////////////////////////////////////////////////////////////////////////////
// The engine starts in the resolution given by the follwing vars.
var video_mode = 7;	 // screen size 640x480
var video_depth = 16; // 16 bit colour D3D mode

/////////////////////////////////////////////////////////////////
// Strings and filenames
// change this string to your own starting mission message.
string mission_str = "Move the camera and view the different spawn's";
string level_str = <spawn_test.WMB>; // give file names in angular brackets

/////////////////////////////////////////////////////////////////
// define a splash screen with the required A4/A5 logo
bmap splashmap = <logodark.pcx>; // the default logo in templates
panel splashscreen {
	bmap = splashmap;
	flags = refresh,d3d;
}

////////////////////////////////////////////////////////////////////////////
// The following script controls the sky
sky horizon_sky {
// A backdrop texture's horizontal size must be a power of 2;
// the vertical size does not matter
	type = <horizon.pcx>;
	tilt = -10;
	flags = scene,overlay,visible;
	layer = 3;
}

/////////////////////////////////////////////////////////////////
// The main() function is started at game start
function main()
{
	max_entities = 5000;
	randomize();

// set some common flags and variables
//	warn_level = 2;	// announce bad texture sizes and bad wdl code
	tex_share = on;	// map entities share their textures

// center the splash screen for non-640x480 resolutions, and display it
	splashscreen.pos_x = (screen_size.x - bmap_width(splashmap))/2;
	splashscreen.pos_y = (screen_size.y - bmap_height(splashmap))/2;
	splashscreen.visible = on;
// wait 3 frames (for triple buffering) until it is flipped to the foreground
	wait(3);

// now load the level
	level_load(level_str);
// freeze the game
	freeze_mode = 1;

// wait the required second, then switch the splashscreen off.
	sleep(1);
  	splashscreen.visible = off;
	bmap_purge(splashmap);	// remove splashscreen from video memory

// load some global variables, like sound volume
	load_status();

// display the initial message
	msg_show(mission_str,10);

// initialize lens flares when edition supports flares
ifdef CAPS_FLARE;
	lensflare_start();
endif;

// use the new 3rd person camera
	move_view_cap = 1;

// un-freeze the game
	freeze_mode = 0;

//	client_move();	// for a possible multiplayer game
// call further functions here...
}


/////////////////////////////////////////////////////////////////
// The following definitions are for the pro edition window composer
// to define the start and exit window of the application.
WINDOW WINSTART
{
	TITLE			"3D GameStudio";
	SIZE			480,320;
	MODE			IMAGE;	//STANDARD;
	BG_COLOR		RGB(240,240,240);
	FRAME			FTYP1,0,0,480,320;
//	BUTTON		BUTTON_START,SYS_DEFAULT,"Start",400,288,72,24;
	BUTTON		BUTTON_QUIT,SYS_DEFAULT,"Abort",400,288,72,24;
	TEXT_STDOUT	"Arial",RGB(0,0,0),10,10,460,280;
}

/* no exit window at all..
WINDOW WINEND
{
	TITLE			"Finished";
	SIZE			540,320;
	MODE	 		STANDARD;
	BG_COLOR		RGB(0,0,0);
	TEXT_STDOUT	"",RGB(255,40,40),10,20,520,270;

	SET FONT		"",RGB(0,255,255);
	TEXT			"Any key to exit",10,270;
}*/


/////////////////////////////////////////////////////////////////
//INCLUDE <debug.wdl>;

action actor_walk_random	//a useless action I made for my actor spawnie buddies
{
	while(1)
	{
		temp_move.x = random(500) - 250;	//move max of 8 quants along xy plane
		temp_move.y = random(500) - 250;
		temp_move.z = 0;
		ent_move(temp_move, nullvector);
		sleep(10);
	}
}

var newcoordinates[5];
var count1234 = 1;
action show_id
{
	sleep(.1);	//give the spawns a chance to get there id's

	var newidentity = -1;
	var newwidth[3];
	var yes;
	newcoordinates[0] = my.x;
	newcoordinates[1] = my.y;
	newcoordinates[2] = my.z;
	newcoordinates[3] = 360;
	newcoordinates[4] = 360;
	newwidth[0] = 360;
	newwidth[1] = 360;
	newwidth[2] = 100;		//range

	yes = scan_entity(newcoordinates, newwidth);
	newidentity = handle_ident;

	if (yes != 0)
	{
		if (newidentity == -1) { my.skin = 1; }
		if (newidentity == 0) { my.skin = 2; }
		if (newidentity == 1) { my.skin = 3; }
		if (newidentity == 2) { my.skin = 4; }
		if (newidentity == 3) { my.skin = 5; }
		if (newidentity == 4) { my.skin = 6; }
		if (newidentity == 5) { my.skin = 7; }
		if (newidentity == 6) { my.skin = 8; }
		if (newidentity == 7) { my.skin = 9; }
		if (newidentity == 8) { my.skin = 10; }
		if (newidentity == 9) { my.skin = 11; }
		if (newidentity == 10) { my.skin = 12; }
	}
}